Package com.usatiuk.objects.iterators

# Interface CloseableKvIterator<K extends Comparable<? super K>,V>

All Superinterfaces:
  `AutoCloseable`, `Iterator<org.apache.commons.lang3.tuple.Pair<K,V>>`

All Known Implementing Classes:
  `JMapIterator`, `KeyPredicateKvIterator`, `MappingKvIterator`, `MergingKvIterator`, `NavigableMapKvIterator`, `ReversedKvIterator`, `ReversibleKvIterator`, `TombstoneSkippingIterator`

public interface CloseableKvIterator<K extends Comparable<? super K>,V> extends Iterator<org.apache.commons.lang3.tuple.Pair<K,V>>, AutoCloseable

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`hasPrev()`
`K`
`peekNextKey()`
`K`
`peekPrevKey()`
`org.apache.commons.lang3.tuple.Pair<K,V>`
`prev()`
`default CloseableKvIterator<K,V>`
`reversed()`
`void`
`skip()`
`void`
`skipPrev()`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

## Method Details

### peekNextKey

K peekNextKey()

### skip

void skip()

### peekPrevKey

K peekPrevKey()

### prev

org.apache.commons.lang3.tuple.Pair<K,V> prev()

### hasPrev

boolean hasPrev()

### skipPrev

void skipPrev()

### reversed

default CloseableKvIterator<K,V> reversed()

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`